Presets

Extract preset from image

Upload a reference image and use AI to extract style settings as a preset. The image must already be uploaded as an asset (via POST /upload).

POST
/preset/extract-from-image
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

file_idFile Id

UUID of the uploaded asset to analyze.

type?Type

Preset type to extract for.

Default"flat_2_model"
Value in"flat_2_model" | "model_swap"

Response Body

Examples

curl -X POST "https://v2.api.piktid.com/preset/extract-from-image" \
  -H "Content-Type: application/json" \
  -d '{
    "file_id": "string"
  }'
{
  "instruction_data": {},
  "suggested_name": null,
  "suggested_description": null
}
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty
Empty
Empty